用什么软件能够编写C语言

为当前最终发行版之前的所有版本提供支持
头像
cangtian
帖子: 55
注册时间: 2007-08-31 10:21
送出感谢: 0
接收感谢: 0
联系:

用什么软件能够编写C语言

#1

帖子 cangtian » 2007-09-20 22:37

请问在Ubuntu中用哪一个软件能够编写C语言
头像
猛将兄
帖子: 2052
注册时间: 2005-10-19 17:33
送出感谢: 0
接收感谢: 0

#2

帖子 猛将兄 » 2007-09-20 22:39

任何文本编辑器
头像
aca
帖子: 129
注册时间: 2007-04-22 13:23
送出感谢: 0
接收感谢: 0

#3

帖子 aca » 2007-09-20 22:59

前提是你先要装个 build-essential
想象你在身边
头像
imjie
帖子: 249
注册时间: 2007-05-29 21:21
来自: Kaiping China
送出感谢: 0
接收感谢: 0

#4

帖子 imjie » 2007-09-21 0:21

sudo apt-get install build-essential
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#5

帖子 冲浪板 » 2007-09-21 8:43

是问开发环境吧
头像
czdj2000
帖子: 78
注册时间: 2006-12-28 9:50
送出感谢: 0
接收感谢: 0

#6

帖子 czdj2000 » 2007-09-21 9:50

是啊 你是问编辑器 还是开发环境?
timeseller
帖子: 34
注册时间: 2007-06-15 19:30
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 timeseller » 2007-09-21 10:10

如果楼主想用像vc那样的IDE
我推荐用code::block
-1、安装必要组件 代码:
sudo apt-get install build-essential
sudo apt-get install gdb
-2、更新源 代码:
gksudo gedit /etc/apt/sources.list
添加(以feisty为例): 代码:
deb http://apt.tt-solutions.com/ubuntu/ feisty main
-3、获取密钥 代码:
wget http://www.tt-solutions.com/vz/key.asc
sudo apt-key add key.asc
-4、安装最新 wxWidgets 库 代码:
sudo apt-get update
sudo apt-get install libwxgtk2.8-0 libwxgtk2.8-dev wx2.8-headers wx-common
-5、设置 wxWidgets 默认版本 代码:
sudo update-alternatives --config wx-config
从列表中选择一项即可。

-6、下载 Code::Blocks 每夜构建版本
下载地址:http://forums.codeblocks.org/index.php/board,20.0.html
-7、安装 Code::Blocks 代码:
sudo dpkg -i CB_20070608_rev4078_Ubuntu6.10+7.04_wx2.8.4.deb
eminentubuntu
帖子: 26
注册时间: 2007-09-20 15:09
来自: BUAA
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 eminentubuntu » 2007-09-21 10:20

如果说IDE的话,个人喜欢用Netbeans,装一个C/C++的包就成,用起来十分方便。
宁静在心
帖子: 37
注册时间: 2007-05-06 22:10
来自: 南宁
送出感谢: 0
接收感谢: 0

#9

帖子 宁静在心 » 2007-09-21 13:28

父亲和儿子的顺序是不能颠倒的,颠倒就成笑话了,楼主的意思应该是如果用C语言来编写程序吧?
chinesedragon
帖子: 294
注册时间: 2006-12-24 23:34
送出感谢: 0
接收感谢: 1 次

#10

帖子 chinesedragon » 2007-09-21 18:34

我用vim+gdb
头像
cangtian
帖子: 55
注册时间: 2007-08-31 10:21
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 cangtian » 2007-09-21 22:46

我需要的是开发环境!
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#12

帖子 Element » 2007-09-21 23:05

imjie 写了:sudo apt-get install build-essential
it is the thing whick you want
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
头像
imjie
帖子: 249
注册时间: 2007-05-29 21:21
来自: Kaiping China
送出感谢: 0
接收感谢: 0

#13

帖子 imjie » 2007-09-22 1:48

cangtian 写了:我需要的是开发环境!
一般有gcc, gedit 编C语言够了吧
ubuntu=respect+helpfulness+sharing+community+caring+trust+unselfishness
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#14

帖子 冲浪板 » 2007-09-22 12:17

cangtian 写了:我需要的是开发环境!
还是我猜对了吧,呵呵
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 nihui » 2007-09-22 12:54

cangtian 写了:我需要的是开发环境!
开发环境 = Develop Environment ,就是所谓的 ide ..........

KDevelop 用过么~,也不错。 :roll:
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
回复

回到 “老旧版本支持”